################################################################################
## Data generation arguments
################################################################################

trigger_time = 1126259462.4

################################################################################
## Detector arguments
################################################################################

detectors = [H1, L1]
psd_dict = {H1=psd_data/h1_psd.txt, L1=psd_data/l1_psd.txt}
channel_dict = {H1:GWOSC, L1:GWOSC}
duration = 4

################################################################################
## Job submission arguments
################################################################################

label = GW150914
outdir = outdir
nodes = 1
ntasks-per-node = 1
time = 24:00:00
n-parallel = 4

################################################################################
## Likelihood arguments
################################################################################

distance-marginalization=True
phase-marginalization=True
time-marginalization=True

################################################################################
## Prior arguments
################################################################################

prior-dict = {
  mass_ratio = Uniform(name='mass_ratio', minimum=0.125, maximum=1),
  chirp_mass = Uniform(name='chirp_mass', minimum=25, maximum=31),
  mass_1 = Constraint(name='mass_1', minimum=10, maximum=80),
  mass_2 = Constraint(name='mass_2', minimum=10, maximum=80),
  a_1 = Uniform(name='a_1', minimum=0, maximum=0.99),
  a_2 = Uniform(name='a_2', minimum=0, maximum=0.99),
  tilt_1 = Sine(name='tilt_1'),
  tilt_2 = Sine(name='tilt_2'),
  phi_12 = Uniform(name='phi_12', minimum=0, maximum=2 * np.pi, boundary='periodic'),
  phi_jl = Uniform(name='phi_jl', minimum=0, maximum=2 * np.pi, boundary='periodic'),
  luminosity_distance = PowerLaw(alpha=2, name='luminosity_distance', minimum=50, maximum=2000),
  dec =  Cosine(name='dec'),
  ra =  Uniform(name='ra', minimum=0, maximum=2 * np.pi, boundary='periodic'),
  theta_jn =  Sine(name='theta_jn'),
  psi =  Uniform(name='psi', minimum=0, maximum=np.pi, boundary='periodic'),
  phase =  Uniform(name='phase', minimum=0, maximum=2 * np.pi, boundary='periodic')
}

################################################################################
## Waveform arguments
################################################################################

waveform_approximant = IMRPhenomPv2
frequency-domain-source-model = lal_binary_black_hole

###############################################################################
## Sampler settings
################################################################################

sampler = dynesty
nlive = 1000
nact = 5

################################################################################
## Slurm Settings
################################################################################

nodes = 10
ntasks-per-node = 16
time = 24:00:00
